---
title: Rocky Linux 9.0 QA and Testing GO / NO GO Status
author: Trevor Cooper
revision_date: 2022-05-18
rc:
  prod: Rocky Linux
  ver: 9
---

# {{ rc.prod }} {{ rc.ver }} QA and Testing : GO / NO GO Status
This document summarizes the GO / NO GO Status for Release of Rocky Linux 8.6 from perspective of the QA / Testing efforts. It is based largely on the Release Criteria (https://wiki.rockylinux.org/team/testing/release_criteria/) as was started as an import of that document. If there are differences between the official Release Critieria document and this document the official Release Criteria document will override and this document shall be updated.

As a reminder, the objective of a release (major or minor) is to provide a solid Enterprise Linux release that is suitable to:
-   Meet the needs of end users
-   Meet the needs of enterprises big or small


## SUMMARY

| Category          | Proportion        | Remaining Items |
| ----------------- | ----------------- | --------------- |
| TO_CONFIRM        |   0 / 29 (0%)     |                 |
| PASS              |   0 / 29 (0%)     |                 |
| FAIL_NON_BLOCKING |   0 / 29 (0%)     |                 |
| FAIL_BLOCKING     |   0 / 29 (0%)     |                 |


## SOP
In this document each requirement is described and status is specified in the title.

Current choices are...

### TO_CONFIRM
-   this means the item may be INCOMPLETE, PASS, FAIL_NON_BLOCKING or FAIL_BLOCKING and must be verified

### PASS
-   this means that the release criteria has been met and is not a blocker

### FAIL_NON_BLOCKING
-   this means the release criter has not been met but is non-blocking

### FAIL_BLOCKING
-   this means the release criteria has not been met and is blocking

In this document criteria status should include who completed the item and generally how it was complete.

Examples...

-   PASS - (@tcooper, virt only, manual)
-   PASS - (@lumarel, @raktajino, @tcooper, semi-automatic , openQA)


## Initialization Requirements

-   Release-blocking images must boot - PASS - (@neil, @atomicturtle)
-   Optical Media Requirements - PASS - (@atomicturtle)
-   Basic Graphics Mode behaviors - PASS - (@tcooper, virt only, manual)
-   No Broken Packages - PASS - (@tcooper, scripted, manual)
-   Repositories Must Match Upstream - TO_CONFIRM - (@tcooper, manual)
-   Debranding - PASS - (@tcooper, scripted, manual)
-   Media Consistency Verification - PASS - (@tcooper, scripted, manual)
-   Packages and Installer Sources - PASS - (@lumarel, semi-automatic, openQA test)
-   NAS (Network Attached Storage) - TO_CONFIRM - (@lumarel?, semi-automatic, openQA dual-host test)
-   Installation Interfaces - PASS - (@lumarel, @raktajino, @tcooper, semi-automatic, openQA, @atomicturtle, manual?, SCAP)
-   Minimal Installation - PASS - (@lumarel, @raktajino, @tcooper, semi-automatic , openQA)
-   Kickstart Installation - PASS - (@label, @tcooper, manual, createhdds)
-   Disk Layouts - PASS - (@lumarel, @raktajino, @tcooper, semi-automatic, openQA)
-   Firmware RAID - TO_CONFIRM - (@tbd, missing hardware support?)
-   Bootloader Disk Selection - PASS - (@raktajino, manual)
-   Storage Volume Resize - PASS - (@lumarel, @raktajino, @tcooper, semi-automatic, openQA)
-   Update Image - PASS - (@raktajino,@tcooper, semi-automatic, openQA)
-   Installer Help - PASS - (@lumarel, @raktajino, @tcooper, semi-automatic, openQA)
-   Installer Translations - PASS - (@lumarel, @raktajino, @tcooper, semi-automatic, openQA)


## Cloud Image Requirements
-   Images Published to Cloud Providers - FAIL_NON_BLOCKING - (@neil)


## Post-Installation Requirements
-   System Services - PASS - (@lumarel, semi-automatic, openQA)
-   Keyboard Layout - PASS - (@lumarel, semi-automatic, openQA)
-   SELinux Errors (Server) - PASS - (@lumarel, semi-automatic, openQA)
-   SELinux and Crash Notifications (Desktop Only) - PASS - (@lumarel, semi-automatic, openQA)
-   Default Application Functionality (Desktop Only) - PASS - (@lumarel, semi-automatic, openQA)
-   Default Panel Functionality (Desktop Only) - PASS - (@lumarel, semi-automatic, openQA)
-   Dual Monitor Setup (Desktop Only) - PASS - (@lumarel, semi-automatic, openQA)
-   Artwork and Assets (Server and Desktop) - PASS - (@lumarel, semi-automatic, openQA)
-   Packages and Module Installation - PASS - (@lumarel, semi-automatic, openQA)
