---
title: Rocky Linux 9.0 QA and Testing Summary
author: Trevor Cooper
revision_date: 2022-05-18
rc:
  prod: Rocky Linux
  ver: 9
  level: Final
---

# {{ rc.prod }} {{ rc.ver }} QA and Testing Summary
Last updated: <to_fill_in_on_etherpad_when_saving_a_version>

## Scope
This document will record a summary of all QA and Testing results for {{ rc.prod }} {{ rc.9 }} release. It is only a record of success and/or failure. Solution discussion should take place elsewhere.

## Reference
- Please check RHEL 9 Release Notes **BEFORE** marking issue here as **FAIL**.

## SOP
- Please include **PASS**, **FAIL**, **NOTABUG**, **INVESTIGATE** or **UPSTREAM** as appropriate in all entries.
- Please only provide brief summary. Details should go to Rocky Pastebin, links here is OK.
- Please leave your MM @handle on all items you have done or are working on so we can talk to you to get resolution.
- If the item you have reported is related to a QA:Testcase please mention it.
- If you think the item you have reported should be a QA:Testcase, even if it's not a current requirement, suggest a title and create an issue in the wiki repository so we can add it.

## INVESTIGATE
This is a list of items that are being INVESTIGATEd further before being assigned a PASS, FAIL, NOTABUG or UPSTREAM status.
PLEASE add your MM handle if you are working on this item to minimize duplication of work. More than one handle is allowed but please communicate.

- QA:Testcase Basic Graphics Mode                          - [INVESTIGATE] - @tcooper
- QA:Testcase Boot Methods Boot Iso                        - [INVESTIGATE] - @neil
- QA:Testcase Boot Methods DVD                             - [INVESTIGATE] - @neil
- QA:Testcase Debranding                                   - [INVESTIGATE] - @tcooper
- QA:Testcase Media Consistency Verification               - [INVESTIGATE] - @tcooper
- QA:Testcase Media File Conflicts                         - [INVESTIGATE] - @tcooper
- QA:Testcase Media File Conflicts                         - [INVESTIGATE] - @tcooper
- QA:Testcase Media File Conflicts                         - [INVESTIGATE] - @tcooper
- QA:Testcase Media File Conflicts                         - [INVESTIGATE] - @tcooper
- QA:Testcase Media Repoclosure                            - [INVESTIGATE] - @tcooper
- QA:Testcase Storage Volume Resize                        - [INVESTIGATE] - @raktajino
- QA:Testcase Update Image                                 - [INVESTIGATE] - @raktajino
- QA:Testcase boot/install minimal x86_64 over DVD/Bluray  - [INVESTIGATE] - @atomicturtle
- QA:Testcase_Mediacheck                                   - [INVESTIGATE] - @tcooper

## UPSTREAM
This is a list of items that have been verified to be replicated UPSTREAM in RHEL {{ rc.9 }} and/or are described clearly in the RHEL 9 Release Notes.

- QA:Testcase_Some_Testcase                                - [UPSTREAM] - @your_mm_handle - <brief_description>

## FAIL
This is a list of items that have been verified to FAIL the QA:Testcase. In addition to recording who did the test please indicate if the item is BLOCKING release or not.

- QA:Testcase_Some_Testcase                                - [FAIL] - @your_mm_handle - <brief_description>

## NOTABUG
This is a list of items that have been verified as less than optimal but are expected and NOTABUG.

- QA:Testcase_Some_Testcase                                - [NOTABUG] - @your_mm_handle - <brief_description>

## PASS
This is a list of item that have been verified as PASSing the QA:Testcase named (or proposed).

- QA:Testcase_Some_Testcase                                - [PASS] - @your_mm_handle - <brief_description>

## OTHER NOTABLE ITEMS

